API documentation

List protection resource groups

The firm’s protection resource groups. `groupId` is required when creating a resource; obtain valid group ids here.

GET/v1/protection-resources/groups
GETList protection resource groups
curl -X GET "https://api.darkradar.com/api/public/v1/protection-resources/groups" \
  -H "x-api-key: $DARKRADAR_API_KEY"
Response

Success

{
  "success": true,
  "data": {
    "groups": [
      {
        "_id": "64b1f0c2a9e4d21f8c3b9a10",
        "firm": "64b1f0c2a9e4d21f8c3b9a00",
        "name": "Üretim varlıkları",
        "description": "Müşteriye dönük alan adları",
        "isActive": true
      }
    ]
  }
}

Access

Scopeprotection-resources:read
Plan entitlementapi_access

Responses

200Success
400Invalid request (malformed id, missing or invalid field)
401Key missing, invalid, expired or revoked
403Insufficient scope, no API access in plan, or product not enabled
404Record not found or not owned by this key’s firm
408The request exceeded its maximum response time
429Rate limit exceeded; retry after a minute

Response limits

Rate limit500 requests per 15 min · per IP

Was this page helpful?